## ros-one-trac-ik-examples 1.6.6-9jammy.20260220.2306

=== debian/changelog ===
ros-one-trac-ik-examples (1.6.6-9jammy.20260220.2306) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Fri, 20 Feb 2026 23:06:46 +0000

ros-one-trac-ik-examples (1.6.6-0jammy) jammy; urgency=high

  * propagated nlopt deps to sat packages
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 00:00:00 -0000

ros-one-trac-ik-examples (1.6.4-0jammy) jammy; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-trac-ik-examples (1.6.2-0jammy) jammy; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 00:00:00 -0000

## ros-one-trac-ik-examples 1.6.6-9noble.20260220.2324

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(trac_ik_examples)

find_package(catkin REQUIRED
  COMPONENTS
    trac_ik_lib
)

find_package(PkgConfig REQUIRED)
pkg_check_modules(pkg_nlopt REQUIRED nlopt)

find_package(Boost REQUIRED COMPONENTS date_time)
find_package(orocos_kdl REQUIRED)

catkin_package(
  CATKIN_DEPENDS
    trac_ik_lib
  DEPENDS
    Boost
    orocos_kdl
    pkg_nlopt
)

include_directories(
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
  ${orocos_kdl_INCLUDE_DIRS}
  ${pkg_nlopt_INCLUDE_DIRS}
)

add_executable(ik_tests src/ik_tests.cpp)
target_link_libraries(ik_tests
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  ${orocos_kdl_LIBRARIES}
  ${pkg_nlopt_LIBRARIES}
)

install(TARGETS ik_tests
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-one-trac-ik-examples (1.6.6-9noble.20260220.2324) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- TRACLabs Robotics <robotics@traclabs.com>  Fri, 20 Feb 2026 23:24:31 +0000

ros-one-trac-ik-examples (1.6.6-0noble) noble; urgency=high

  * propagated nlopt deps to sat packages
  * Contributors: Stephen Hart

 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 05 May 2021 00:00:00 -0000

ros-one-trac-ik-examples (1.6.4-0noble) noble; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-trac-ik-examples (1.6.2-0noble) noble; urgency=high



 -- TRACLabs Robotics <robotics@traclabs.com>  Wed, 17 Mar 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-trac-ik-examples
Section: misc
Priority: optional
Maintainer: TRACLabs Robotics <robotics@traclabs.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libnlopt-cxx-dev, libnlopt-dev, liborocos-kdl-dev, ros-one-catkin, ros-one-trac-ik-lib
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-trac-ik-examples
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libnlopt-dev, libnlopt0, liborocos-kdl1.5, ros-one-pr2-description, ros-one-trac-ik-lib, ros-one-xacro
Description: This package contains the source code for testing and comparing trac_ik

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-trac-ik-examples//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
